Articles of gem

ruby on rails Проблема установки Mysql на ubuntu

Ubuntu 10.10 Все работало нормально до тех пор, пока я не попытался установить плагин, что-то пошло не так с mysql2. Я попытался удалить и переустановить его с помощью этого результата: gem install mysql2 Building native extensions. This could take a while… ERROR: Error installing mysql2: ERROR: Failed to build gem native extension. /home/ruben/.rvm/rubies/ruby-1.9.2-p136/bin/ruby extconf.rb checking […]

Как установить syck 1.0.1 на Ubuntu 15.04?

Я получаю сообщение об ошибке установки syck на Ubuntu 15.04. Построение собственных расширений не выполняется: Installing syck 1.0.1 with native extensions Gem::Ext::BuildError: ERROR: Failed to build gem native extension. /home/markus/.rvm/rubies/ruby-2.2.1/bin/ruby -r ./siteconf20150618-8242-1z0c5iw.rb extconf.rb checking for st.h… yes creating Makefile make “DESTDIR=” clean make “DESTDIR=” compiling bytecode.c compiling implicit.c compiling token.c token.re: In function ‘sycklex_yaml_utf8’: token.re:541:36: […]

Получение Sinatra, работающего на Ubuntu, Неинициализированная постоянная ошибка

Попытка получить настройку Sinatra на Ubuntu 12.04. У меня установлен RVM, и я думаю, что я установил все зависимости (перечисленные ниже). Я нашел еще одно сообщение SO ( здесь ), в котором указано, что у меня нет libssl-dev, но похоже, что я это делаю. Когда я запускаю: sudo gem install sinatra Я получил: ERROR: While […]

pdfbeads будет выводить только одну страницу

Следуя инструкциям на этой странице Я беру документ djvu, проверяю его на любые признаки коррупции, открывая его в djvulibre, и он отлично проверяет. Скопируйте его в папку тестирования и переименуйте его выполнять djvu2hocr test.djvu | sed 's/ocrx/ocr/g' > test.html ddjvu -format=tiff test.djvu test.tif Продолжайте открывать tif с evince, и он проверяет, что все страницы доступны […]

Почему lolcat перестала работать после установки rvm?

После того, как я недавно сделал что-то, связанное с установкой rvm, эта ошибка возникает, когда я пытаюсь использовать lolcat. /home/max/.rvm/rubies/ruby- 2.2.0/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require': cannot load such file — lolcat/version (LoadError) from /home/max/.rvm/rubies/ruby- 2.2.0/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require' from /usr/games/lolcat:21:in `<main>' Кажется, я могу заставить lolcat снова работать, выполняя gem install lolcat но я думаю, что просто устанавливает другую копию […]

Не удалось установить Github-Pages с драгоценным камнем?

Я пытаюсь установить github-страницы с помощью gem. У меня Ruby v. 2.1.2: ✦ ruby -v ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-linux] Я установил Ruby с помощью RVM, и я установил 2.1.2 в качестве используемой по умолчанию версии. Так или иначе, я все еще получаю сообщение об ошибке: ✦ sudo gem install github-pages ERROR: Error installing […]

не удалось установить жонглирование json в ubuntu

Я установил рубин на рельсах, используя rvm. Я пытаюсь связать установку более старого проекта, который у меня был на прежнем компьютере, но я получаю следующую ошибку при запуске команды установки пакета: Installing json 1.8.3 with native extensions Gem::Ext::BuildError: ERROR: Failed to build gem native extension. /home/florin/.rvm/rubies/ruby-2.2.3/bin/ruby -r ./siteconf20151003-5986-vme5ji.rb extconf.rb creating Makefile make "DESTDIR=" clean make […]

Не удается установить json 1.8.1

Я пытаюсь установить json gem, используя ruby ​​2.2.3 (я пробовал с другими ограничениями), и я всегда получаю ту же ошибку: Fetching: json-1.8.1.gem (100%) Building native extensions. This could take a while… ERROR: Error installing json: ERROR: Failed to build gem native extension. /home/michell/.rvm/rubies/ruby-2.2.0/bin/ruby -r ./siteconf20160425-25421-vzm9hx.rb extconf.rb creating Makefile make "DESTDIR=" clean make "DESTDIR=" compiling generator.c […]

Ошибка: не удалось создать собственное расширение gem при попытке загрузить Rubocop

когда я пытаюсь «sudo gem install rubocop», я получаю … Building native extensions. This could take a while… ERROR: Error installing rubocop: ERROR: Failed to build gem native extension. current directory: /var/lib/gems/2.3.0/gems/rainbow-2.2.1/ext /usr/bin/ruby2.3 mkrf_conf.rb current directory: /var/lib/gems/2.3.0/gems/rainbow-2.2.1/ext /usr/bin/ruby2.3 -rubygems /usr/share/rubygems-integration/all/gems/rake-10.5.0/bin/rake RUBYARCHDIR=/var/lib/gems/2.3.0/extensions/x86_64-linux/2.3.0/rainbow-2.2.1 RUBYLIBDIR=/var/lib/gems/2.3.0/extensions/x86_64-linux/2.3.0/rainbow-2.2.1 /usr/bin/ruby2.3: No such file or directory — /usr/share/rubygems-integration/all/gems/rake-10.5.0/bin/rake (LoadError) rake failed, exit code […]